### Hierarchy

- NavigationService
  - XFNavigationService

## Index

### Constructors

- constructor

### Properties

- app

### Accessors

- location
- title

### Methods

- alert
- back
- confirm
- navigate
- notify
- openPage
- openWindow
- refresh
- registerNavigationHook
- remove

## Constructors

### constructor

- new XFNavigationService(app: App, jsonService: JsonService): XFNavigationService

- Overrides NavigationService.constructor

  - Defined in xf/services/XFNavigationService.ts:52

  #### Parameters

  - ##### app: App

  - ##### jsonService: JsonService

  #### Returns XFNavigationService

## Properties

### app

app: App

Inherited from NavigationService.app

- Defined in services/NavigationService.ts:37

## Accessors

### location

- get location(): AtomUri
- set location(v: AtomUri): void

- Overrides NavigationService.location

  - Defined in xf/services/XFNavigationService.ts:46

  #### Returns AtomUri

- Overrides NavigationService.location

  - Defined in xf/services/XFNavigationService.ts:50

  #### Parameters

  - ##### v: AtomUri

  #### Returns void

### title

- get title(): string
- set title(v: string): void

- Overrides NavigationService.title

  - Defined in xf/services/XFNavigationService.ts:36

  #### Returns string

- Overrides NavigationService.title

  - Defined in xf/services/XFNavigationService.ts:40

  #### Parameters

  - ##### v: string

  #### Returns void

## Methods

### alert

- alert(message: string | any, title?: string): Promise<any>

- Overrides NavigationService.alert

  - Defined in xf/services/XFNavigationService.ts:60

  #### Parameters

  - ##### message: string | any

  - ##### Optional title: string

  #### Returns Promise<any>

### back

- back(): void

- Overrides NavigationService.back

  - Defined in xf/services/XFNavigationService.ts:97

  #### Returns void

### confirm

- confirm(message: string, title?: string): Promise<boolean>

- Overrides NavigationService.confirm

  - Defined in xf/services/XFNavigationService.ts:72

  #### Parameters

  - ##### message: string

  - ##### Optional title: string

  #### Returns Promise<boolean>

### navigate

- navigate(url: string): void

- Overrides NavigationService.navigate

  - Defined in xf/services/XFNavigationService.ts:88

  #### Parameters

  - ##### url: string

  #### Returns void

### notify

- notify(message: string, title?: string, type?: NotifyType, delay?: number): void

- Overrides NavigationService.notify

  - Defined in xf/services/XFNavigationService.ts:82

  #### Parameters

  - ##### message: string

  - ##### Optional title: string

  - ##### Optional type: NotifyType

  - ##### Optional delay: number

  #### Returns void

### openPage

- openPage<T>(pageName: string | any, p?: INameValuePairs, options?: IPageOptions): Promise<T>

- Inherited from NavigationService.openPage

  - Defined in services/NavigationService.ts:50

  #### Type parameters

  - #### T

  #### Parameters

  - ##### pageName: string | any

    url

  - ##### Optional p: INameValuePairs

    parameters

  - ##### Optional options: IPageOptions

    target, clearHistory, cancelToken

  #### Returns Promise<T>

### Protected openWindow

- openWindow<T>(url: AtomUri): Promise<T>

- Overrides NavigationService.openWindow

  - Defined in xf/services/XFNavigationService.ts:112

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: AtomUri

  #### Returns Promise<T>

### refresh

- refresh(): void

- Overrides NavigationService.refresh

  - Defined in xf/services/XFNavigationService.ts:108

  #### Returns void

### registerNavigationHook

- registerNavigationHook(callback: navigateCallback): IDisposable

- Inherited from NavigationService.registerNavigationHook

  - Defined in services/NavigationService.ts:137

  #### Parameters

  - ##### callback: navigateCallback

  #### Returns IDisposable

### remove

- remove(view: object, force?: boolean): Promise<boolean>

- Inherited from NavigationService.remove

  - Defined in services/NavigationService.ts:123

  Sends signal to remove window/popup/frame, it will not immediately remove, because it will identify whether it can remove or not by displaying cancellation warning. Only if there is no cancellation warning or user chooses to force close, it will not remove.

  #### Parameters

  - ##### view: object

  - ##### Optional force: boolean

  #### Returns Promise<boolean>

  true if view was removed successfully

Generated using TypeDoc